## com.sun.grid.drmaa
Class SessionFactoryImpl

    java.lang.Object
      org.ggf.drmaa.SessionFactory
          com.sun.grid.drmaa.SessionFactoryImpl

public class SessionFactoryImpl
extends SessionFactory

This class is used to create a SessionImpl object. In order to use the Grid Engine binding, the $SGE_ROOT environment variable must be set, the $SGE_ROOT/lib/drmaa.jar file must in included in the CLASSPATH environment variable, and the $SGE_ROOT/lib/$ARCH directory must be included in the library path, e.g. LD_LIBRARY_PATH.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  `SessionFactory`

Constructor Summary
`SessionFactoryImpl()` Creates a new instance of SessionFactoryImpl.

Method Summary
`Session` `getSession()` Gets a SessionImpl object.

Methods inherited from class org.ggf.drmaa.SessionFactory
`getFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryImpl

    public SessionFactoryImpl()

  Creates a new instance of SessionFactoryImpl.

Method Detail

### getSession

    public Session getSession()

  Gets a SessionImpl object.

  Specified by:
    `getSession` in class `SessionFactory`
  Returns:
    a SessionImpl object